require 'test/setup'

class TestMogileFS__Admin < TestMogileFS

  def setup
    @class = MogileFS::Admin
    super
  end

  def test_clean
    res = {"host1_remoteroot"=>"/mnt/mogilefs/rur-1",
           "host1_hostname"=>"rur-1",
           "host1_hostid"=>"1",
           "host1_http_get_port"=>"",
           "host1_altip"=>"",
           "hosts"=>"1",
           "host1_hostip"=>"",
           "host1_http_port"=>"",
           "host1_status"=>"alive",
           "host1_altmask"=>""}
    actual = @client.clean 'hosts', 'host', res
  
    expected = [{"status"=>"alive",
                 "http_get_port"=>"",
                 "http_port"=>"",
                 "hostid"=>"1",
                 "hostip"=>"",
                 "hostname"=>"rur-1",
                 "remoteroot"=>"/mnt/mogilefs/rur-1",
                 "altip"=>"",
                 "altmask"=>""}]

    assert_equal expected, actual
  end

end

